WordPress.org

Plugin Directory

EasyChat.me Live Chat

Install EasyChat.me live chat to your wordpress site and provide users with easy-to-use professional customer service.

Requires: 3.0 or higher
Compatible up to: 3.8.9
Last Updated: 2014-3-5
Active Installs: 90+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.